<?php

declare(strict_types=1);

namespace App\Controller\TblPreguntasXUsuario;

use App\Service\TblPreguntasXUsuarioService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblPreguntasXUsuarioService(): TblPreguntasXUsuarioService
    {
        return $this->container->get('TblPreguntasXUsuario_service');
    }
}
